;InnoSetupVersion=4.1.6

[Setup]
AppName=Ravenskull
AppVerName=Ravenskull (Trial Version 1.4)
AppId=RavenskullTrial
AppPublisher=Superior Interactive
AppPublisherURL=http://www.superiorinteractive.com
AppSupportURL=http://www.superiorinteractive.com
AppUpdatesURL=http://www.superiorinteractive.com
DefaultDirName={pf}\Superior Interactive\Ravenskull\Trial Version
DefaultGroupName=Superior Interactive\Ravenskull\Trial Version
OutputBaseFilename=RSTrialAffiliateSetup
Compression=lzma
PrivilegesRequired=none
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Ravenskull.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\si_splash.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\rsdemo.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\rsloadscr.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\sound.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\help.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Character\Adventurer_ Male.dat"; DestDir: "{app}\Character"; DestName: "Adventurer, Male.dat"; Flags: ignoreversion 
Source: "{app}\Character\Warrior_ Female.dat"; DestDir: "{app}\Character"; DestName: "Warrior, Female.dat"; Flags: ignoreversion 
Source: "{app}\LevelSet\Ravenskull.rls"; DestDir: "{app}\LevelSet"; Flags: ignoreversion 
Source: "{app}\TileSet\MainTileSet.dat"; DestDir: "{app}\TileSet"; Flags: ignoreversion 
Source: "{app}\rsmidi.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\EULA for Ravenskull.txt"; DestDir: "{app}"; Flags: ignoreversion 

[Dirs]
Name: "{app}\Screenshots"; 
Name: "{app}\Profiles"; 

[Registry]
Root: HKCU; Subkey: "Software\Superior Interactive"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Superior Interactive\Ravenskull - Trial Version"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Superior Interactive\Ravenskull - Trial Version"; ValueName: "Setup Filename"; ValueType: String; ValueData: "{srcexe}"; 

[INI]
FileName: "{app}\Ravenskull.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.superiorinteractive.com"; 

[Run]
Filename: "{app}\Ravenskull.exe"; WorkingDir: "{app}"; Description: "Play Ravenskull - Trial Version"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Ravenskull - Trial Version"; Filename: "{app}\Ravenskull.exe"; WorkingDir: "{app}"; 
Name: "{group}\Visit www.superiorinteractive.com"; Filename: "{app}\Ravenskull.url"; 
Name: "{group}\Uninstall Ravenskull - Trial Version"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Ravenskull - Trial Version"; Filename: "{app}\Ravenskull.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Ravenskull - Trial Version"; Filename: "{app}\Ravenskull.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop shortcut for Ravenskull - Trial Version"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon for Ravenskull - Trial Version"; GroupDescription: "Additional icons:"; 

[InstallDelete]
Type: files; Name: "{app}\rsmusic.mid"; 

[UninstallDelete]
Type: files; Name: "{app}\Ravenskull.url"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
